Note: Before upgrading, always ensure your server meets our latest minimum system requirements


Improvements


  • Introduces the option to remember your User session after authenticating securely to the Altaro VM Backup local management console. This allows you to log in to the console for subsequent sessions without manually providing your credentials each time.

    Note: (This option is not available when Altaro VM Backup is installed on Windows Server Core editions)


Changes


  • Altaro VM Backup now requires .NET Framework 4.7.2 or higher in order to be installed.



Fixes


  • Fixes a rare issue that would cause backups to fail when using end-user subscription license

  • Other fixes and improvements



(Follow the steps here to upgrade to the latest version)